# Generated by Django 3.0.6 on 2020-05-30 11:16

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import filer.fields.image


class Migration(migrations.Migration):
    dependencies = [
        migrations.swappable_dependency(settings.FILER_IMAGE_MODEL),
        ("aircox", "0002_auto_20200526_1516"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="log",
            options={"verbose_name": "Log", "verbose_name_plural": "Logs"},
        ),
        migrations.AlterModelOptions(
            name="page",
            options={
                "verbose_name": "Publication",
                "verbose_name_plural": "Publications",
            },
        ),
        migrations.AlterModelOptions(
            name="program",
            options={
                "verbose_name": "Program",
                "verbose_name_plural": "Programs",
            },
        ),
        migrations.RemoveField(
            model_name="article",
            name="is_static",
        ),
        migrations.AddField(
            model_name="diffusion",
            name="schedule",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="aircox.Schedule",
                verbose_name="schedule",
            ),
        ),
        migrations.AlterField(
            model_name="diffusion",
            name="initial",
            field=models.ForeignKey(
                blank=True,
                limit_choices_to={"initial__isnull": True},
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="rerun_set",
                to="aircox.Diffusion",
                verbose_name="rerun of",
            ),
        ),
        migrations.AlterField(
            model_name="navitem",
            name="page",
            field=models.ForeignKey(
                blank=True,
                limit_choices_to={"attach_to__isnull": True},
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="aircox.StaticPage",
                verbose_name="page",
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="frequency",
            field=models.SmallIntegerField(
                choices=[
                    (0, "ponctual"),
                    (1, "1st {day} of the month"),
                    (2, "2nd {day} of the month"),
                    (4, "3rd {day} of the month"),
                    (8, "4th {day} of the month"),
                    (16, "last {day} of the month"),
                    (5, "1st and 3rd {day} of the month"),
                    (10, "2nd and 4th {day} of the month"),
                    (31, "every {day}"),
                    (32, "one {day} on two"),
                ],
                verbose_name="frequency",
            ),
        ),
        migrations.AlterField(
            model_name="schedule",
            name="initial",
            field=models.ForeignKey(
                blank=True,
                limit_choices_to={"initial__isnull": True},
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="rerun_set",
                to="aircox.Schedule",
                verbose_name="rerun of",
            ),
        ),
        migrations.AlterField(
            model_name="staticpage",
            name="attach_to",
            field=models.SmallIntegerField(
                blank=True,
                choices=[
                    (0, "Home page"),
                    (1, "Diffusions page"),
                    (2, "Logs page"),
                    (3, "Programs list"),
                    (4, "Episodes list"),
                    (5, "Articles list"),
                ],
                help_text="display this page content to related element",
                null=True,
                verbose_name="attach to",
            ),
        ),
        migrations.AlterField(
            model_name="station",
            name="default_cover",
            field=filer.fields.image.FilerImageField(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to=settings.FILER_IMAGE_MODEL,
                verbose_name="Default pages' cover",
            ),
        ),
        migrations.AlterField(
            model_name="track",
            name="timestamp",
            field=models.PositiveSmallIntegerField(
                blank=True,
                help_text="position (in seconds)",
                null=True,
                verbose_name="timestamp",
            ),
        ),
    ]
